[Bug 532542] Re: [lucid] flashplugin-installer doesn't work with Firefox 3.6

Viktors Petrovs viktors.petrovs at gmail.com
Wed Mar 31 20:20:45 UTC 2010

On Wed, 2010-03-31 at 08:40 +0000, CristianCantoro wrote:
> May I ask where the said link points? I have no such link in /usr/lib/firefox-addons/plugins (more... that dir is empty!)
> Furthermore, unless I have both flashplugin-installer and flashplugin-nonfree packages (see above) installed I can't see any significative occurence of flashplugin or libflash in my sistem (i.e. I got package info files and so on, but no libs it seems)
Package flashplugin-installer does not contain plugin lib files, it
downloads needed files from adobe site.
As i understand flashplugin-installer installs link in
the /usr/lib/firefox/plugins while current firefox-3.6 files are
under /usr/lib/firefox-3.6/ directory.

I have two systems with Ubuntu Lucid. One fresh installed other upgraded
from previous Ubuntu version. On both systems there was same problems
with flash plugin.

You can create link to flashplugin manually. Go to firefox plugins

cd /usr/lib/firefox-addons/plugins

Create symbolic link to flashplugin:

sudo ln -s /usr/lib/firefox/plugins/flashplugin-alternative.so

Name of the symbolic link must start with "lib" prefix.

I have following links on my system:

-> ../firefox-addons/plugins

-> /usr/lib/firefox/plugins/flashplugin-alternative.so

-> /etc/alternatives/firefox-flashplugin

-> /usr/lib/flashplugin-installer/libflashplayer.so

I think there is two problems with flashplugin-installer:
1) It places link in wrong place (or firefox is installed in wrong
place :D)
2) It creates link with wrong name! Must be prefixed with "lib"!

[lucid] flashplugin-installer doesn't work with Firefox 3.6
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to flashplugin-nonfree in ubuntu.

More information about the Ubuntu-mozillateam-bugs mailing list